@charset "UTF-8";

:root {
  --hero-btn: #00a3ff;
  --area-color: #ea9838;
  --color-red: #e90d41;
  --color-blue: #5883d2;
  --color-green: #a3be9c;
  --color-orange: #ea9838;
  --color-black: #1d1d1f;
  --color-txt: #6e6e73;
  --color-main: #a49238;
  --vc-grad: linear-gradient(180deg, rgba(79, 172, 32, 1) 15%, rgba(116, 186, 59, 1) 65%);
  --area-grad: linear-gradient(180deg, rgba(79, 172, 32, 1) 15%, rgba(116, 186, 59, 1) ;65%);
  --area-color: #a37dac;
  --area-grad: linear-gradient(180deg, rgba(163, 125, 172, 1) 15%, rgba(176, 141, 176, 1) 65%);
  --lp-choki: #009900;
  --lp-shukuhaku: rgb(234, 152, 56, 0.6);
  --lp-kikan: #20b4af;
  --bg-dark: #2a2b3f;
  --bg-skyblue: #e4f1ff;
  --bg-green: #cbdbc6;
  /* --basic-range: min(100%, 1260px); */
  --basic-range: min(100%, 1080px);
  --fixed_range: 970px;
}

.black-button__box {
  display: flex;
  justify-content: center;

  .contact-cta__button--form {
    background-image: linear-gradient(90deg, rgba(163, 125, 172, 1) 0%, rgba(176, 141, 176, 1) 50%, rgba(51, 51, 51, 1) 50%, rgba(56, 56, 56, 1) 75%, rgba(74, 74, 74, 1) 100%);
    /* width: 380px; */
  }

  .contact-cta__button--form::after {
    bottom: auto;
    width: 0.9em;
    height: 0.9em;
    top: 1.55em;
  }
}

.contact-cta * {
  line-height: 1.2;
}

.contact-cta {
  position: relative;
}

.contact-cta {
  width: min(100%, var(--basic-range));
  margin: 60px auto 60px;
  padding: 40px 30px;
  background-color: var(--bg-dark);
  box-sizing: border-box;
}

.contact-cta__title {
  font-size: 24px;
  font-weight: 500;
  text-align: center;
  padding-bottom: 10px;
  margin-bottom: 30px;
  color: #fff;
  border-bottom: solid 2px var(--color-main);
}

@media (width < 969px) {
  .contact-cta__title {
    font-size: 22px;
    text-align: left;
  }
}
@media (width < 640px) {
  .contact-cta__title {
    margin-bottom: 20px;
    font-size: clamp(1.313rem, 0.034rem + 5.45vw, 1.5rem);
  }
}

.contact-cta__text {
  color: #fff;
  text-align: center;
  margin-bottom: 20px;
  font-size: 16px;
}

@media (width < 640px) {
  .contact-cta__text {
    text-align: left;
  }
}

.contact-cta__links {
  display: flex;
  justify-content: center;
  align-items: center;
  /* gap: 60px; */
  margin-top: 20px;
}
@media (width < 769px) {
  .contact-cta__links {
    flex-direction: column;
  }
}

.contact-cta__link-item {
  width: min(100%, 400px);
}

.contact-cta__link-item a {
  color: #fff;
}

.contact-cta__button {
  display: flex;
  align-items: center;
  padding: 20px;
  text-decoration: none;
  color: #333;
  transition: all 0.3s ease;
  width: 370px;
  box-sizing: border-box;
  position: relative;
}

@media (width < 820px) {
  .contact-cta__button {
    width: min(100%, 350px);
    margin: auto;
  }
}

.contact-cta__button--phone {
  color: #fff;
  padding: 0;
}

.contact-cta__button--form {
  padding: 15px 10px;
  background-image: linear-gradient(90deg, rgba(163, 125, 172, 1) 0%, rgba(176, 141, 176, 1) 50%, rgba(109, 177, 49, 1) 50%, rgba(126, 199, 62, 1) 100%);
  background-size: 200% auto;
  background-position: right center;
  color: #fff;
  justify-content: center;
  transition: background-position 0.4s ease-in-out;
}

@media (970px <= width) {
  .contact-cta__button--form:hover {
    background-position: left center;
  }
}

.contact-cta__button--form::after {
  content: "";
  display: inline-block;
  vertical-align: middle;
  color: #fff;
  line-height: 1;
  width: 1em;
  height: 1em;
  border: 3px solid #fff;
  border-left: 0;
  border-bottom: 0;
  box-sizing: border-box;
  transform: translateX(-25%) rotate(45deg);
  position: absolute;
  right: 15px;
  bottom: 1.75em;
}

.contact-cta__button:hover,
.contact-cta__button:visited {
  text-decoration: none;
}

.contact-cta__icon {
  font-size: 30px;
  margin-right: 10px;
}

.contact-cta__button--form .contact-cta__icon {
  color: #fff;
  margin-left: -20px;
}

.contact-cta__text-wrapper {
  display: flex;
  flex-direction: column;
}

.contact-cta__label {
  font-size: 14px;
  font-weight: 500;
}

.contact-cta__main-text {
  font-size: 22px;
  font-weight: 600;
  line-height: 1;
}

.contact-cta__main-text_tel {
  font-size: 34px;
  font-weight: 600;
}

@media (max-width: 640px) {
  .contact-cta__main-text_tel {
    font-size: 30px;
  }
  .contact-cta__main-text {
    font-size: 22px;
  }
}

.contact-cta__main-text_tel span {
  color: var(--color-blue);
  font-weight: 700;
}

.contact-cta__sub-text {
  font-size: 14px;
  margin-left: 5.5em;
}

@media (max-width: 640px) {
  .contact-cta__sub-text {
    margin-left: 0;
    margin-top: 5px;
  }
}

.contact-cta__arrow {
  font-size: 24px;
  margin-left: auto;
  color: #fff;
}

@media (max-width: 640px) {
  .contact-cta {
    margin: 60px auto;
    padding: 30px 20px;
  }

  .contact-cta__link-item:last-of-type {
    margin-top: 20px;
  }

  .contact-cta__links {
    flex-direction: column;
    gap: 0;
  }
}

.contact-cta__support-item {
  display: none;
}
